• ログイン今すぐ開始

Python agent v8.5.0

December 7, 2022Download

Notes

This release of the Python agent adds the record_log_event API and includes some bug fixes.

Install the agent using easy_install/pip/distribute via the Python Package Index or download it directly from the New Relic download site.

New features

  • Add support for redis v4.3.5 and v4.4.0 methods

    New methods added in redis v4.3.5 and v4.4.0 will now be automatically instrumented.

  • record_log_event API

    This records a log event that can be viewed and queried in the New Relic UI. See record_log_event for details.

Bug fixes

  • RuntimeError: dictionary changed size during iteration

    Properly guard trace_cache from RuntimeErrors raised due to concurrent iteration and size changes of the TraceCache.

  • Fix Confluent Kafka Producer Arguments

    Fixes a bug where topic provided as a keyword argument can crash Confluent Kafka producers.

  • Patch for sentry SDK to correct ASGI v2/v3 detection

    Patches sentry-sdk to fix a bug that causes incorrect ASGI application version detection with our wrapt function wrappers. To fix this, we now instrument the _looks_like_asgi3() function to bind out the wrapped app in sentry in order to unwrap it to be able to detect the proper ASGI version.

  • Missing information from Celery workers when using MAX_TASKS_PER_CHILD issue

    A bug was introduced in v7.8.0.174 when Celery was run with the --loglevel=INFO flag to not report any data after the original worker processes shut down. This has been fixed.

  • Fix support for dynamically generated types in Code Level Metrics

    A bug in code level metrics attribute extraction prevented attributes from being applied to types created using the 3 argument type constructor. This has been fixed.

  • Initialize external node properties

    A bug caused by uninitialized external node properties when making web requests has been fixed. Thank you @kmorey for your contribution!

Support statement

New Relic recommends that you upgrade the agent regularly and at a minimum every 3 months. As of this release, the oldest supported version is 5.4.1.134. More information can be found in the EOL Policy Page.

Copyright © 2023 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.